<?
##################################################
## Автор: -=ШАХТЕР=-                             #                                                                                                                                                                                 ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################

require'config.php';
$align='left';
$title='Новости';
aut();
head();
who_add(0,'enter');
echo '<br />';


switch($mod){
default:
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from news"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from news order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Новостей нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).' ('.times($a['time']).')'.div;
echo text($a[msg]);
echo '<br /><a href="news?mod=komm&amp;new='.$a[id].'">Комментарии</a>('.$db->sql_fetchfield($db->sql_query("select count(*) as num from newskom where new = '".$a[id]."'"),0).')';
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('news?',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}



break;

case 'komm':
$new = check(intval($_GET['new']));
$r = $db->sql_query("Select * from news WHERE `id` = '".$new."'");
if (mysql_affected_rows()==0){echo 'Новость не найдена!<br />';
}else{

if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `newskom` WHERE `id` = '".intval($_GET['delk'])."'");
}
header ('Location: news?mod='.$mod.'&new='.$new.'&'.SID);
}

if (isset($_POST['msg'])){
if (strlen2($_POST['msg'])>3){
if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']);
if ($db->sql_query ("INSERT INTO newskom (new,user_id,time,msg) VALUES ('$new','$user[id]','$time','".check($_POST['msg'])."')")){header ('Location: news?mod='.$mod.'&new='.$new.'&'.SID); exit;
}else echo 'Ошибка!<br />';


}

}


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from newskom where new = '".check(intval($_GET['new']))."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from newskom where new = '".check(intval($_GET['new']))."' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Комментариев нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).'';
if($user[level]>=5)echo '<small><a href="'.H.'news?mod='.$mod.'&amp;&amp;new='.$new.'&amp;delk='.$a['id'].'">[X]</a></small>';
echo '('.times($a['time']).')'.div;

echo text($a[msg]);
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('news?mod='.$mod.'&amp;&amp;new='.$new.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

if ($ver!='wml')echo '<form action="news?mod='.$mod.'&amp;new='.$new.'&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<br />Ваш комментарий:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo '<br />Ваш комментарий:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><br />';
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="news?mod='.$mod.'&amp;new='.$new.'&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}
}
break;
}
echo '<br />';
if ($mod)echo gb.'<a href="news">Новости</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();

?>